org.apache.sis.storage.geotiff

## Class GeoTiffStore

- Object
- - DataStore
  - - GeoTiffStore

- All Implemented Interfaces:
    AutoCloseable, Resource, Localized

      public class GeoTiffStore
      extends DataStore

  A data store backed by GeoTIFF files.
  Since:
    0.8

  Defined in the `sis-geotiff` module

- - ### Field Summary

    - ### Fields inherited from class DataStore

      `listeners, provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoTiffStore(GeoTiffStoreProvider provider, StorageConnector connector)` Creates a new GeoTIFF store from the given file, URL or stream object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this GeoTIFF store and releases any underlying resources.
    `Metadata` | `getMetadata()` Returns information about the dataset as a whole.
    `ParameterValueGroup` | `getOpenParameters()` Returns the parameters used to open this GeoTIFF data store.

    - ### Methods inherited from class DataStore

      `addWarningListener, findResource, getDisplayName, getLocale, getProvider, removeWarningListener, setLocale`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoTiffStore

          public GeoTiffStore(GeoTiffStoreProvider provider,
                              StorageConnector connector)
                       throws DataStoreException

      Creates a new GeoTIFF store from the given file, URL or stream object. This constructor invokes `StorageConnector​.closeAllExcept(Object)`, keeping open only the needed resource.
      Parameters:
        `provider` - the factory that created this `DataStore` instance, or `null` if unspecified.
        `connector` - information about the storage (URL, stream, etc).
      Throws:
        `DataStoreException` - if an error occurred while opening the GeoTIFF file.

  - ### Method Detail

    - #### getMetadata

          public Metadata getMetadata()
                               throws DataStoreException

      Returns information about the dataset as a whole. The returned metadata object can contain information such as the spatiotemporal extent of the dataset, contact information about the creator or distributor, data quality, usage constraints and more.
      Specified by:
        `getMetadata` in interface `Resource`
      Specified by:
        `getMetadata` in class `DataStore`
      Returns:
        information about the dataset.
      Throws:
        `DataStoreException` - if an error occurred while reading the data.
      See Also:
        `Resource​.getMetadata()`

    - #### getOpenParameters

          public ParameterValueGroup getOpenParameters()

      Returns the parameters used to open this GeoTIFF data store. If non-null, the parameters are described by `GeoTiffStoreProvider​.getOpenParameters()` and contains at least a parameter named "location" with a `URI` value. This method may return `null` if the storage input can not be described by a URI (for example a GeoTIFF file reading directly from a `ReadableByteChannel`).
      Specified by:
        `getOpenParameters` in class `DataStore`
      Returns:
        parameters used for opening this data store, or `null` if not available.
      Since:
        0.8
      See Also:
        `DataStoreProvider​.getOpenParameters()`

    - #### close

          public void close()
                     throws DataStoreException

      Closes this GeoTIFF store and releases any underlying resources.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `DataStore`
      Throws:
        `DataStoreException` - if an error occurred while closing the GeoTIFF file.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.